/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE xxas_nh_mgr_tbl force';
  EXECUTE IMMEDIATE 'DROP TYPE xxas_nh_mgr_type force';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

create or replace TYPE xxas_nh_mgr_type AS OBJECT
  (selected_emp_name         varchar2(200)
  ,manager_name              varchar2(200)
  ,passed_effective_date     date
  );
/

CREATE OR REPLACE TYPE xxas_nh_mgr_tbl IS
TABLE OF xxas_nh_mgr_type
/

COMMIT;
EXIT;
